Bug 1102759 - When importing metadata from Modeshape, not all the columns are imported
Summary: When importing metadata from Modeshape, not all the columns are imported
Keywords:
Status: NEW
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape, Teiid
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: One-off release
Assignee: jolee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 13:51 UTC by Van Halbert
Modified: 2018-03-29 21:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1102762 (view as bug list)
Environment:
Last Closed:
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2218 Blocker Resolved Importing metadata via JDBC driver doesn't return all columns 2016-02-16 18:16:58 UTC

Comment 2 Randall Hauch 2014-05-29 14:07:37 UTC
What do the columns look like? Can you please attach a screenshot or some textual representation of the resulting tables?

Comment 3 Van Halbert 2014-05-29 14:41:51 UTC
Here's a snip-it for the transform_withSql view from the xmi model:

 <relational:View xmi:uuid="mmuuid:2b8daf0c-eb73-49cb-9342-41355964ea48" name="transform_withSql" nameInSource="&quot;transform:withSql&quot;" supportsUpdate="false">
    <columns xmi:uuid="mmuuid:8902fa7c-73f4-4c8a-b4a6-1b05eefa42fe" name="jcr_name" nameInSource="&quot;jcr:name&quot;" nativeType="STRING" length="20" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" updateable="false">
      <type href="http://www.w3.org/2001/XMLSchema#string"/>
    </columns>
    <columns xmi:uuid="mmuuid:93ecee54-b500-4d19-a500-5933c2abf63d" name="jcr_path" nameInSource="&quot;jcr:path&quot;" nativeType="STRING" length="50" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" updateable="false">
      <type href="http://www.w3.org/2001/XMLSchema#string"/>
    </columns>
    <columns xmi:uuid="mmuuid:b599eb4b-7784-4083-8e9b-f8a20dad4658" name="jcr_score" nameInSource="&quot;jcr:score&quot;" nativeType="DOUBLE" fixedLength="true" precision="20" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" updateable="false" caseSensitive="false" searchability="ALL_EXCEPT_LIKE">
      <type href="http://www.w3.org/2001/XMLSchema#double"/>
    </columns>
    <columns xmi:uuid="mmuuid:57f16493-fb9d-485f-8a93-32912a63d2ce" name="mode_depth" nameInSource="&quot;mode:depth&quot;" nativeType="LONG" fixedLength="true" precision="20" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" updateable="false" caseSensitive="false" searchability="ALL_EXCEPT_LIKE">
      <type href="http://www.w3.org/2001/XMLSchema#long"/>
    </columns>
    <columns xmi:uuid="mmuuid:56d7c2bd-d092-42f0-849e-8da485cf11ff" name="mode_localName" nameInSource="&quot;mode:localName&quot;" nativeType="STRING" length="50" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" updateable="false">
      <type href="http://www.w3.org/2001/XMLSchema#string"/>
    </columns>
    <columns xmi:uuid="mmuuid:27989216-b733-48a2-bb9c-6c116395ff2a" name="mode_properties" nameInSource="&quot;mode:properties&quot;" nativeType="STRING" length="50" nullable="NULLABLE_UNKNOWN" defaultValue="NULL" selectable="false" updateable="false">
      <type href="http://www.w3.org/2001/XMLSchema#string"/>
    </columns>
  </relational:View>


Note You need to log in before you can comment on or make changes to this bug.